package cn.com.qmth.examcloud.service.core.repo;

import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.core.entity.Org;

/**
 * Created by songyue on 17/1/13.
 */
public interface OrgRepo extends JpaRepository<Org,Long>,QueryByExampleExecutor<Org>{

    List<Org> findByRootId(long rootId);

    List<Org> findByParentId(long parentId);

//    List<Org> findByLevel(int level);

	Org findByParentIdAndCode(Long parentId, String code);
}
